## isochron 0.9~rc4

=== debian/changelog ===
isochron (0.9~rc4-1) unstable; urgency=medium

  * Initial release (Closes: #1010396)

 -- Vladimir Oltean <olteanv@gmail.com>  Thu, 19 May 2022 22:18:43 +0300
