=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/isochron-$1\.tar\.gz/, uversionmangle=s/-rc/~rc/" \
  https://github.com/vladimiroltean/isochron/tags .*/v?(\d\S+)\.tar\.gz
