## isochron 0.9

=== debian/changelog ===
isochron (0.9-0.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix build with mips64 and ppc64
  * Fix build with glibc 2.41 (Closes: #1099237)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Mar 2025 08:49:04 +0100

isochron (0.9-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version
  * Fix 64 bit time_t format on 32 bit (Closes: #1069513)
  * Scan forwarded URL

 -- Bastian Germann <bage@debian.org>  Tue, 18 Feb 2025 20:31:37 +0100
