=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Vladimir Oltean <olteanv@gmail.com>
-Build-Depends: debhelper-compat (= 12), pkg-config, libmnl-dev, pandoc
+Build-Depends: debhelper-compat (= 12), pkgconf, libmnl-dev, pandoc
 Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
-Homepage: https://github.com/vladimiroltean/isochron
+Homepage: https://github.com/NXP/isochron
 
 Package: isochron
 Architecture: linux-any
